Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.profile
Class SuccessorNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.exceptions.ApplicationException
                  com.bea.p13n.usermgmt.profile.ProfileNotFoundException
                      com.bea.p13n.usermgmt.profile.SuccessorNotFoundException

All Implemented Interfaces
  Serializable

    public class SuccessorNotFoundException

extends ProfileNotFoundException

Application exception to signal that a profile's successor could not be resolved. This will be thrown when:

- An explicit successor is given, that cannot be found
- A profile's implicit successor cannot be found
- A profile's successor is set to a non-existant profile

  See Also
    Serialized Form

  Constructor Summary
  `SuccessorNotFoundException()`
  `SuccessorNotFoundException(String message)` Constructor
  `SuccessorNotFoundException(String message, Throwable t)` Constructor
  `SuccessorNotFoundException(Throwable t)` Constructor

  Method Summary

  Methods inherited from class java.lang.Throwable
  `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  Constructor Detail

  ### SuccessorNotFoundException

      public SuccessorNotFoundException()

  ### SuccessorNotFoundException

      public SuccessorNotFoundException(String message)

    Constructor

    Parameters
      `message` - String representing the Exception message

  ### SuccessorNotFoundException

      public SuccessorNotFoundException(String message,
                                        Throwable t)

    Constructor

    Parameters
      `message` - String representing the Exception message
      `t` - Throwable object representing the wrapped or chained exception

  ### SuccessorNotFoundException

      public SuccessorNotFoundException(Throwable t)

    Constructor

    Parameters
      `t` - Throwable object representing the wrapped or chained exception

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
  Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
  Other names may be trademarks of their respective owners.